USN-6799-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6799-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6799-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6799-1
Related
Published
2024-05-29T15:38:21.326429Z
Modified
2024-05-29T15:38:21.326429Z
Summary
python-werkzeug vulnerability
Details

It was discovered that the debugger in Werkzeug was not restricted to trusted hosts. A remote attacker could possibly use this issue to execute code on the host under certain circumstances.

References

Affected packages

Ubuntu:Pro:18.04:LTS / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.14.1+dfsg1-1ubuntu0.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-werkzeug": "0.14.1+dfsg1-1ubuntu0.2+esm1",
            "python-werkzeug-doc": "0.14.1+dfsg1-1ubuntu0.2+esm1",
            "python3-werkzeug": "0.14.1+dfsg1-1ubuntu0.2+esm1"
        }
    ]
}

Ubuntu:20.04:LTS / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.16.1+dfsg1-2ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-werkzeug-doc": "0.16.1+dfsg1-2ubuntu0.2",
            "python3-werkzeug": "0.16.1+dfsg1-2ubuntu0.2"
        }
    ]
}

Ubuntu:22.04:LTS / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.2+dfsg1-1ubuntu0.22.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-werkzeug-doc": "2.0.2+dfsg1-1ubuntu0.22.04.2",
            "python3-werkzeug": "2.0.2+dfsg1-1ubuntu0.22.04.2"
        }
    ]
}

Ubuntu:23.10 / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.2.2-3ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-werkzeug-doc": "2.2.2-3ubuntu0.1",
            "python3-werkzeug": "2.2.2-3ubuntu0.1"
        }
    ]
}

Ubuntu:24.04:LTS / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.0.1-3ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-werkzeug-doc": "3.0.1-3ubuntu0.1",
            "python3-werkzeug": "3.0.1-3ubuntu0.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / python-werkzeug

Package

Name
python-werkzeug

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.10.4+dfsg1-1ubuntu1.2+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-werkzeug": "0.10.4+dfsg1-1ubuntu1.2+esm2",
            "python-werkzeug-doc": "0.10.4+dfsg1-1ubuntu1.2+esm2",
            "python3-werkzeug": "0.10.4+dfsg1-1ubuntu1.2+esm2"
        }
    ]
}